%bcond_with test

Summary:        Lightweight in-process concurrent programming
Name:           python-greenlet
Version:        3.0.0
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/python-greenlet/greenlet
Source0:        %{pypi_source greenlet}

BuildRequires:  gcc-c++

%description 
This package is a spin-off of Stackless, a version of CPython that supports micro-threads 
called "tasklets". 

%package -n     python3-greenlet
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-greenlet 
This package is a spin-off of Stackless, a version of CPython that supports micro-threads 
called "tasklets". 

%package -n     python3-greenlet-devel
Summary:        C development headers for python3-greenlet
Requires:       python3-greenlet = %{version}-%{release}

%description -n python3-greenlet-devel
This package provides headier files for developing applications that use python3-greenlet.

%prep
%autosetup -n greenlet-%{version} -p1

%build
%py3_build

%install
%py3_install
 
%if %{with test}
%check
PYTHONPATH="%{buildroot}%{python3_sitearch}" %{python3} -m unittest discover greenlet.tests
%endif

%files -n python3-greenlet
%license LICENSE LICENSE.PSF
%doc AUTHORS README.rst
%{python3_sitearch}/greenlet-*.egg-info
%{python3_sitearch}/greenlet

%files -n python3-greenlet-devel
%{_includedir}/python%{python3_version}*/greenlet/

%changelog
* Tue Oct 24 2023 Zhao Zhen <jeremiazhao@tencent.com> - 3.0.0-1
- upgraded upstream 3.0.0
- fixed gevent CVE-2023-41419
- added loongarch64 support

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.2-1
- upgrade to 2.0.2.

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 Wang Guodong <gordonwwang@tencent.com> - 1.1.3-1
- package init.
